# Finapi
FinAPI RESTful Services

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v1.67.0
- Package version: 0.9.9
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

```sh
pip install finapi
```
Then import the package:
```python
import finapi
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import finapi
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import finapi
from finapi.rest import ApiException
from pprint import pprint

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
id = 56 # int | Identifier of the account to delete

try:
    # Delete an account
    api_instance.delete_account(id)
except ApiException as e:
    print("Exception when calling AccountsApi->delete_account: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))

try:
    # Delete all accounts
    api_response = api_instance.delete_all_accounts()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->delete_all_accounts: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
id = 56 # int | Identifier of the account to edit
body = finapi.AccountParams() # AccountParams | New account name and/or type and/or 'isNew' flag (optional)

try:
    # Edit an account
    api_response = api_instance.edit_account(id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->edit_account: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
body = finapi.ExecuteSepaDirectDebitParams() # ExecuteSepaDirectDebitParams | Parameters for the execution of a SEPA direct debit order

try:
    # Execute SEPA Direct Debit
    api_response = api_instance.execute_sepa_direct_debit(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->execute_sepa_direct_debit: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
body = finapi.ExecuteSepaMoneyTransferParams() # ExecuteSepaMoneyTransferParams | Parameters for the execution of a SEPA money transfer order

try:
    # Execute SEPA Money Transfer
    api_response = api_instance.execute_sepa_money_transfer(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->execute_sepa_money_transfer: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
id = 56 # int | Identifier of requested account

try:
    # Get an account
    api_response = api_instance.get_account(id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->get_account: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
ids = [56] # list[int] | A comma-separated list of account identifiers. If specified, then only accounts whose identifier match any of the given identifiers will be regarded. The maximum number of identifiers is 1000. (optional)
search = 'search_example' # str | If specified, then only those accounts will be contained in the result whose 'accountName', 'iban', 'accountNumber' or 'subAccountNumber' contains the given search string (the matching works case-insensitive). If no accounts contain the search string in any of these fields, then the result will be an empty list. NOTE: If the given search string consists of several terms (separated by whitespace), then ALL of these terms must be contained in the searched fields in order for an account to get included into the result. (optional)
account_type_ids = [56] # list[int] | A comma-separated list of account types. If specified, then only accounts that relate to the given types will be regarded. If not specified, then all accounts will be regarded. (optional)
bank_connection_ids = [56] # list[int] | A comma-separated list of bank connection identifiers. If specified, then only accounts that relate to the given bank connections will be regarded. If not specified, then all accounts will be regarded. (optional)
min_last_successful_update = 'min_last_successful_update_example' # str | Lower bound for a account's last successful update date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only accounts whose 'lastSuccessfulUpdate' is equal to or later than the given date will be regarded. (optional)
max_last_successful_update = 'max_last_successful_update_example' # str | Upper bound for a account's last successful update date, in the format 'YYYY-MM-DD' (e.g. '2016-01-01'). If specified, then only accounts whose 'lastSuccessfulUpdate' is equal to or earlier than the given date will be regarded. (optional)
min_balance = 3.4 # float | If specified, then only accounts whose balance is equal to or greater than the given balance will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)
max_balance = 3.4 # float | If specified, then only accounts whose balance is equal to or less than the given balance will be regarded. Can contain a positive or negative number with at most two decimal places. Examples: -300.12, or 90.95 (optional)

try:
    # Get and search all accounts
    api_response = api_instance.get_and_search_all_accounts(ids=ids, search=search, account_type_ids=account_type_ids, bank_connection_ids=bank_connection_ids, min_last_successful_update=min_last_successful_update, max_last_successful_update=max_last_successful_update, min_balance=min_balance, max_balance=max_balance)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->get_and_search_all_accounts: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
account_ids = [56] # list[int] | A comma-separated list of (non-security) account identifiers. If no accounts are specified, all (non-security) accounts of the user are regarded. (optional)
start_date = 'start_date_example' # str | A string in the format 'YYYY-MM-DD'. Note that the requested date range [startDate..endDate] may not exceed 365 days. If startDate is not specified, it defaults to the endDate minus one month. (optional)
end_date = 'end_date_example' # str | A string in the format 'YYYY-MM-DD'. Note that the requested date range [startDate..endDate] may not exceed 365 days. If endDate is not specified, it defaults to today's date. (optional)
with_projection = True # bool | Whether finAPI should project the first and last actually existing balance of an account into the past and future. When passing 'true', then the result will always contain a daily balance for every day of the entire requested date range, even for days before the first actually existing balance, resp. after the last actually existing balance. Those days will have the same balance as the day of the first actual balance, resp. last actual balance, i.e. the first/last balance will be infinitely projected into the past/the future. When passing 'false', then the result will contain daily balances only from the day on where the first actual balance exists for any of the regarded accounts, and only up to the day where the last actual balance exists for any of the regarded accounts. Note that when in this case there are no actual balances within the requested date range, then an empty array will be returned. Default value for this parameter is 'true'. (optional)
page = 56 # int | Result page that you want to retrieve. (optional)
per_page = 56 # int | Maximum number of records per page. Can be at most 500. NOTE: Due to its validation and visualization, the swagger frontend might show very low performance, or even crashes, when a service responds with a lot of data. It is recommended to use a HTTP client like Postman or DHC instead of our swagger frontend for service calls with large page sizes. (optional)
order = ['order_example'] # list[str] | Determines the order of the results. You can order the results by 'date', 'balance', 'income' or 'spending'. The default order for this service is 'date,asc'. You can also order by multiple properties. In that case the order of the parameters passed is important. Example: '/accounts/dailyBalances?order=date,desc&order=balance,asc' will return daily balances ordered by 'date' (descending), where items with the same 'date' are ordered by 'balance' (ascending). The general format is: 'property[,asc|desc]', with 'asc' being the default value. Please note that ordering by multiple fields is not supported in our swagger frontend, but you can test this feature with any HTTP tool of your choice (e.g. postman or DHC).  (optional)

try:
    # Get daily balances
    api_response = api_instance.get_daily_balances(account_ids=account_ids, start_date=start_date, end_date=end_date, with_projection=with_projection, page=page, per_page=per_page, order=order)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->get_daily_balances: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
ids = [56] # list[int] | Comma-separated list of identifiers of requested accounts

try:
    # Get multiple accounts
    api_response = api_instance.get_multiple_accounts(ids)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->get_multiple_accounts: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
body = finapi.RequestSepaDirectDebitParams() # RequestSepaDirectDebitParams | Parameters for a SEPA direct debit request

try:
    # Request SEPA Direct Debit
    api_response = api_instance.request_sepa_direct_debit(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->request_sepa_direct_debit: %s\n" % e)

# Configure OAuth2 access token for authorization: finapi_auth
configuration = finapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = finapi.AccountsApi(finapi.ApiClient(configuration))
body = finapi.RequestSepaMoneyTransferParams() # RequestSepaMoneyTransferParams | Parameters for a SEPA money transfer request

try:
    # Request SEPA Money Transfer
    api_response = api_instance.request_sepa_money_transfer(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->request_sepa_money_transfer: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to */*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountsApi* | [**delete_account**](docs/AccountsApi.md#delete_account) | **DELETE** /api/v1/accounts/{id} | Delete an account
*AccountsApi* | [**delete_all_accounts**](docs/AccountsApi.md#delete_all_accounts) | **DELETE** /api/v1/accounts | Delete all accounts
*AccountsApi* | [**edit_account**](docs/AccountsApi.md#edit_account) | **PATCH** /api/v1/accounts/{id} | Edit an account
*AccountsApi* | [**execute_sepa_direct_debit**](docs/AccountsApi.md#execute_sepa_direct_debit) | **POST** /api/v1/accounts/executeSepaDirectDebit | Execute SEPA Direct Debit
*AccountsApi* | [**execute_sepa_money_transfer**](docs/AccountsApi.md#execute_sepa_money_transfer) | **POST** /api/v1/accounts/executeSepaMoneyTransfer | Execute SEPA Money Transfer
*AccountsApi* | [**get_account**](docs/AccountsApi.md#get_account) | **GET** /api/v1/accounts/{id} | Get an account
*AccountsApi* | [**get_and_search_all_accounts**](docs/AccountsApi.md#get_and_search_all_accounts) | **GET** /api/v1/accounts | Get and search all accounts
*AccountsApi* | [**get_daily_balances**](docs/AccountsApi.md#get_daily_balances) | **GET** /api/v1/accounts/dailyBalances | Get daily balances
*AccountsApi* | [**get_multiple_accounts**](docs/AccountsApi.md#get_multiple_accounts) | **GET** /api/v1/accounts/{ids} | Get multiple accounts
*AccountsApi* | [**request_sepa_direct_debit**](docs/AccountsApi.md#request_sepa_direct_debit) | **POST** /api/v1/accounts/requestSepaDirectDebit | Request SEPA Direct Debit
*AccountsApi* | [**request_sepa_money_transfer**](docs/AccountsApi.md#request_sepa_money_transfer) | **POST** /api/v1/accounts/requestSepaMoneyTransfer | Request SEPA Money Transfer
*AuthorizationApi* | [**get_token**](docs/AuthorizationApi.md#get_token) | **POST** /oauth/token | Get tokens
*AuthorizationApi* | [**revoke_token**](docs/AuthorizationApi.md#revoke_token) | **POST** /oauth/revoke | Revoke a token
*BankConnectionsApi* | [**delete_all_bank_connections**](docs/BankConnectionsApi.md#delete_all_bank_connections) | **DELETE** /api/v1/bankConnections | Delete all bank connections
*BankConnectionsApi* | [**delete_bank_connection**](docs/BankConnectionsApi.md#delete_bank_connection) | **DELETE** /api/v1/bankConnections/{id} | Delete a bank connection
*BankConnectionsApi* | [**edit_bank_connection**](docs/BankConnectionsApi.md#edit_bank_connection) | **PATCH** /api/v1/bankConnections/{id} | Edit a bank connection
*BankConnectionsApi* | [**get_all_bank_connections**](docs/BankConnectionsApi.md#get_all_bank_connections) | **GET** /api/v1/bankConnections | Get all bank connections
*BankConnectionsApi* | [**get_bank_connection**](docs/BankConnectionsApi.md#get_bank_connection) | **GET** /api/v1/bankConnections/{id} | Get a bank connection
*BankConnectionsApi* | [**get_multiple_bank_connections**](docs/BankConnectionsApi.md#get_multiple_bank_connections) | **GET** /api/v1/bankConnections/{ids} | Get multiple bank connections
*BankConnectionsApi* | [**import_bank_connection**](docs/BankConnectionsApi.md#import_bank_connection) | **POST** /api/v1/bankConnections/import | Import a new bank connection
*BankConnectionsApi* | [**update_bank_connection**](docs/BankConnectionsApi.md#update_bank_connection) | **POST** /api/v1/bankConnections/update | Update a bank connection
*BanksApi* | [**get_and_search_all_banks**](docs/BanksApi.md#get_and_search_all_banks) | **GET** /api/v1/banks | Get and search all banks
*BanksApi* | [**get_bank**](docs/BanksApi.md#get_bank) | **GET** /api/v1/banks/{id} | Get a bank
*BanksApi* | [**get_multiple_banks**](docs/BanksApi.md#get_multiple_banks) | **GET** /api/v1/banks/{ids} | Get multiple banks
*CategoriesApi* | [**create_category**](docs/CategoriesApi.md#create_category) | **POST** /api/v1/categories | Create a new category
*CategoriesApi* | [**delete_all_categories**](docs/CategoriesApi.md#delete_all_categories) | **DELETE** /api/v1/categories | Delete all categories
*CategoriesApi* | [**delete_category**](docs/CategoriesApi.md#delete_category) | **DELETE** /api/v1/categories/{id} | Delete a category
*CategoriesApi* | [**edit_category**](docs/CategoriesApi.md#edit_category) | **PATCH** /api/v1/categories/{id} | Edit a category
*CategoriesApi* | [**get_and_search_all_categories**](docs/CategoriesApi.md#get_and_search_all_categories) | **GET** /api/v1/categories | Get and search all categories
*CategoriesApi* | [**get_cash_flows**](docs/CategoriesApi.md#get_cash_flows) | **GET** /api/v1/categories/cashFlows | Get cash flows
*CategoriesApi* | [**get_category**](docs/CategoriesApi.md#get_category) | **GET** /api/v1/categories/{id} | Get a category
*CategoriesApi* | [**get_multiple_categories**](docs/CategoriesApi.md#get_multiple_categories) | **GET** /api/v1/categories/{ids} | Get multiple categories
*CategoriesApi* | [**train_categorization**](docs/CategoriesApi.md#train_categorization) | **POST** /api/v1/categories/trainCategorization | Train categorization
*ClientConfigurationApi* | [**edit_client_configuration**](docs/ClientConfigurationApi.md#edit_client_configuration) | **PATCH** /api/v1/clientConfiguration | Edit client configuration
*ClientConfigurationApi* | [**get_client_configuration**](docs/ClientConfigurationApi.md#get_client_configuration) | **GET** /api/v1/clientConfiguration | Get client configuration
*LabelsApi* | [**create_label**](docs/LabelsApi.md#create_label) | **POST** /api/v1/labels | Create a new label
*LabelsApi* | [**delete_all_labels**](docs/LabelsApi.md#delete_all_labels) | **DELETE** /api/v1/labels | Delete all labels
*LabelsApi* | [**delete_label**](docs/LabelsApi.md#delete_label) | **DELETE** /api/v1/labels/{id} | Delete a label
*LabelsApi* | [**edit_label**](docs/LabelsApi.md#edit_label) | **PATCH** /api/v1/labels/{id} | Edit a label
*LabelsApi* | [**get_and_search_all_labels**](docs/LabelsApi.md#get_and_search_all_labels) | **GET** /api/v1/labels | Get and search all labels
*LabelsApi* | [**get_label**](docs/LabelsApi.md#get_label) | **GET** /api/v1/labels/{id} | Get a label
*LabelsApi* | [**get_multiple_labels**](docs/LabelsApi.md#get_multiple_labels) | **GET** /api/v1/labels/{ids} | Get multiple labels
*MandatorAdministrationApi* | [**change_client_credentials**](docs/MandatorAdministrationApi.md#change_client_credentials) | **POST** /api/v1/mandatorAdmin/changeClientCredentials | Change client credentials
*MandatorAdministrationApi* | [**create_iban_rules**](docs/MandatorAdministrationApi.md#create_iban_rules) | **POST** /api/v1/mandatorAdmin/ibanRules | Create IBAN rules
*MandatorAdministrationApi* | [**create_keyword_rules**](docs/MandatorAdministrationApi.md#create_keyword_rules) | **POST** /api/v1/mandatorAdmin/keywordRules | Create keyword rules
*MandatorAdministrationApi* | [**delete_iban_rules**](docs/MandatorAdministrationApi.md#delete_iban_rules) | **POST** /api/v1/mandatorAdmin/ibanRules/delete | Delete IBAN rules
*MandatorAdministrationApi* | [**delete_keyword_rules**](docs/MandatorAdministrationApi.md#delete_keyword_rules) | **POST** /api/v1/mandatorAdmin/keywordRules/delete | Delete keyword rules
*MandatorAdministrationApi* | [**delete_users**](docs/MandatorAdministrationApi.md#delete_users) | **POST** /api/v1/mandatorAdmin/deleteUsers | Delete users
*MandatorAdministrationApi* | [**get_iban_rule_list**](docs/MandatorAdministrationApi.md#get_iban_rule_list) | **GET** /api/v1/mandatorAdmin/ibanRules | Get IBAN rules
*MandatorAdministrationApi* | [**get_keyword_rule_list**](docs/MandatorAdministrationApi.md#get_keyword_rule_list) | **GET** /api/v1/mandatorAdmin/keywordRules | Get keyword rules
*MandatorAdministrationApi* | [**get_user_list**](docs/MandatorAdministrationApi.md#get_user_list) | **GET** /api/v1/mandatorAdmin/getUserList | Get user list
*MocksAndTestsApi* | [**check_categorization**](docs/MocksAndTestsApi.md#check_categorization) | **POST** /api/v1/tests/checkCategorization | Check categorization
*MocksAndTestsApi* | [**mock_batch_update**](docs/MocksAndTestsApi.md#mock_batch_update) | **POST** /api/v1/tests/mockBatchUpdate | Mock batch update
*NotificationRulesApi* | [**create_notification_rule**](docs/NotificationRulesApi.md#create_notification_rule) | **POST** /api/v1/notificationRules | Create a new notification rule
*NotificationRulesApi* | [**delete_all_notification_rules**](docs/NotificationRulesApi.md#delete_all_notification_rules) | **DELETE** /api/v1/notificationRules | Delete all notification rules
*NotificationRulesApi* | [**delete_notification_rule**](docs/NotificationRulesApi.md#delete_notification_rule) | **DELETE** /api/v1/notificationRules/{id} | Delete a notification rule
*NotificationRulesApi* | [**get_and_search_all_notification_rules**](docs/NotificationRulesApi.md#get_and_search_all_notification_rules) | **GET** /api/v1/notificationRules | Get and search all notification rules
*NotificationRulesApi* | [**get_notification_rule**](docs/NotificationRulesApi.md#get_notification_rule) | **GET** /api/v1/notificationRules/{id} | Get a notification rule
*PaymentsApi* | [**get_payments**](docs/PaymentsApi.md#get_payments) | **GET** /api/v1/payments | Get payments
*SecuritiesApi* | [**get_and_search_all_securities**](docs/SecuritiesApi.md#get_and_search_all_securities) | **GET** /api/v1/securities | Get and search all securities
*SecuritiesApi* | [**get_multiple_securities**](docs/SecuritiesApi.md#get_multiple_securities) | **GET** /api/v1/securities/{ids} | Get multiple securities
*SecuritiesApi* | [**get_security**](docs/SecuritiesApi.md#get_security) | **GET** /api/v1/securities/{id} | Get a security
*TransactionsApi* | [**delete_all_transactions**](docs/TransactionsApi.md#delete_all_transactions) | **DELETE** /api/v1/transactions | Delete all transactions
*TransactionsApi* | [**delete_transaction**](docs/TransactionsApi.md#delete_transaction) | **DELETE** /api/v1/transactions/{id} | Delete a transaction
*TransactionsApi* | [**edit_multiple_transactions**](docs/TransactionsApi.md#edit_multiple_transactions) | **PATCH** /api/v1/transactions | Edit multiple transactions
*TransactionsApi* | [**edit_multiple_transactions_deprecated**](docs/TransactionsApi.md#edit_multiple_transactions_deprecated) | **PATCH** /api/v1/transactions/{ids} | Edit multiple transactions (DEPRECATED)
*TransactionsApi* | [**edit_transaction**](docs/TransactionsApi.md#edit_transaction) | **PATCH** /api/v1/transactions/{id} | Edit a transaction
*TransactionsApi* | [**get_and_search_all_transactions**](docs/TransactionsApi.md#get_and_search_all_transactions) | **GET** /api/v1/transactions | Get and search all transactions
*TransactionsApi* | [**get_multiple_transactions**](docs/TransactionsApi.md#get_multiple_transactions) | **GET** /api/v1/transactions/{ids} | Get multiple transactions
*TransactionsApi* | [**get_transaction**](docs/TransactionsApi.md#get_transaction) | **GET** /api/v1/transactions/{id} | Get a transaction
*TransactionsApi* | [**restore_transaction**](docs/TransactionsApi.md#restore_transaction) | **POST** /api/v1/transactions/{id}/restore | Restore a transaction
*TransactionsApi* | [**split_transaction**](docs/TransactionsApi.md#split_transaction) | **POST** /api/v1/transactions/{id}/split | Split a transaction
*TransactionsApi* | [**trigger_categorization**](docs/TransactionsApi.md#trigger_categorization) | **POST** /api/v1/transactions/triggerCategorization | Trigger categorization
*UsersApi* | [**create_user**](docs/UsersApi.md#create_user) | **POST** /api/v1/users | Create a new user
*UsersApi* | [**delete_authorized_user**](docs/UsersApi.md#delete_authorized_user) | **DELETE** /api/v1/users | Delete the authorized user
*UsersApi* | [**delete_unverified_user**](docs/UsersApi.md#delete_unverified_user) | **DELETE** /api/v1/users/{userId} | Delete an unverified user
*UsersApi* | [**edit_authorized_user**](docs/UsersApi.md#edit_authorized_user) | **PATCH** /api/v1/users | Edit the authorized user
*UsersApi* | [**execute_password_change**](docs/UsersApi.md#execute_password_change) | **POST** /api/v1/users/executePasswordChange | Execute password change
*UsersApi* | [**get_authorized_user**](docs/UsersApi.md#get_authorized_user) | **GET** /api/v1/users | Get the authorized user
*UsersApi* | [**get_verification_status**](docs/UsersApi.md#get_verification_status) | **GET** /api/v1/users/verificationStatus | Get a user&#x27;s verification status
*UsersApi* | [**request_password_change**](docs/UsersApi.md#request_password_change) | **POST** /api/v1/users/requestPasswordChange | Request password change
*UsersApi* | [**verify_user**](docs/UsersApi.md#verify_user) | **POST** /api/v1/users/verify/{userId} | Verify a user
*WebFormsApi* | [**get_web_form**](docs/WebFormsApi.md#get_web_form) | **GET** /api/v1/webForms/{id} | Get a web form

## Documentation For Models

 - [AccessToken](docs/AccessToken.md)
 - [Account](docs/Account.md)
 - [AccountList](docs/AccountList.md)
 - [AccountParams](docs/AccountParams.md)
 - [BadCredentialsError](docs/BadCredentialsError.md)
 - [Bank](docs/Bank.md)
 - [BankConnection](docs/BankConnection.md)
 - [BankConnectionList](docs/BankConnectionList.md)
 - [BankConnectionOwner](docs/BankConnectionOwner.md)
 - [BankList](docs/BankList.md)
 - [CashFlow](docs/CashFlow.md)
 - [CashFlowList](docs/CashFlowList.md)
 - [CategorizationCheckResult](docs/CategorizationCheckResult.md)
 - [CategorizationCheckResults](docs/CategorizationCheckResults.md)
 - [Category](docs/Category.md)
 - [CategoryList](docs/CategoryList.md)
 - [CategoryParams](docs/CategoryParams.md)
 - [ChangeClientCredentialsParams](docs/ChangeClientCredentialsParams.md)
 - [CheckCategorizationData](docs/CheckCategorizationData.md)
 - [CheckCategorizationTransactionData](docs/CheckCategorizationTransactionData.md)
 - [ClearingAccountData](docs/ClearingAccountData.md)
 - [ClientConfiguration](docs/ClientConfiguration.md)
 - [ClientConfigurationParams](docs/ClientConfigurationParams.md)
 - [DailyBalance](docs/DailyBalance.md)
 - [DailyBalanceList](docs/DailyBalanceList.md)
 - [DirectDebitOrderingResponse](docs/DirectDebitOrderingResponse.md)
 - [EditBankConnectionParams](docs/EditBankConnectionParams.md)
 - [EditCategoryParams](docs/EditCategoryParams.md)
 - [ErrorDetails](docs/ErrorDetails.md)
 - [ErrorMessage](docs/ErrorMessage.md)
 - [ExecutePasswordChangeParams](docs/ExecutePasswordChangeParams.md)
 - [ExecuteSepaDirectDebitParams](docs/ExecuteSepaDirectDebitParams.md)
 - [ExecuteSepaMoneyTransferParams](docs/ExecuteSepaMoneyTransferParams.md)
 - [IbanRule](docs/IbanRule.md)
 - [IbanRuleList](docs/IbanRuleList.md)
 - [IbanRuleParams](docs/IbanRuleParams.md)
 - [IbanRulesParams](docs/IbanRulesParams.md)
 - [IdentifierList](docs/IdentifierList.md)
 - [IdentifiersParams](docs/IdentifiersParams.md)
 - [ImportBankConnectionParams](docs/ImportBankConnectionParams.md)
 - [KeywordRule](docs/KeywordRule.md)
 - [KeywordRuleList](docs/KeywordRuleList.md)
 - [KeywordRuleParams](docs/KeywordRuleParams.md)
 - [KeywordRulesParams](docs/KeywordRulesParams.md)
 - [Label](docs/Label.md)
 - [LabelList](docs/LabelList.md)
 - [LabelParams](docs/LabelParams.md)
 - [MockAccountData](docs/MockAccountData.md)
 - [MockBankConnectionUpdate](docs/MockBankConnectionUpdate.md)
 - [MockBatchUpdateParams](docs/MockBatchUpdateParams.md)
 - [MoneyTransferOrderingResponse](docs/MoneyTransferOrderingResponse.md)
 - [MonthlyUserStats](docs/MonthlyUserStats.md)
 - [NewTransaction](docs/NewTransaction.md)
 - [NotificationRule](docs/NotificationRule.md)
 - [NotificationRuleList](docs/NotificationRuleList.md)
 - [NotificationRuleParams](docs/NotificationRuleParams.md)
 - [PageableBankList](docs/PageableBankList.md)
 - [PageableCategoryList](docs/PageableCategoryList.md)
 - [PageableIbanRuleList](docs/PageableIbanRuleList.md)
 - [PageableKeywordRuleList](docs/PageableKeywordRuleList.md)
 - [PageableLabelList](docs/PageableLabelList.md)
 - [PageablePaymentResources](docs/PageablePaymentResources.md)
 - [PageableSecurityList](docs/PageableSecurityList.md)
 - [PageableTransactionList](docs/PageableTransactionList.md)
 - [PageableUserInfoList](docs/PageableUserInfoList.md)
 - [Paging](docs/Paging.md)
 - [PasswordChangingResource](docs/PasswordChangingResource.md)
 - [Payment](docs/Payment.md)
 - [PaymentExecutionResponse](docs/PaymentExecutionResponse.md)
 - [PaypalTransactionData](docs/PaypalTransactionData.md)
 - [RequestPasswordChangeParams](docs/RequestPasswordChangeParams.md)
 - [RequestSepaDirectDebitParams](docs/RequestSepaDirectDebitParams.md)
 - [RequestSepaMoneyTransferParams](docs/RequestSepaMoneyTransferParams.md)
 - [Security](docs/Security.md)
 - [SecurityList](docs/SecurityList.md)
 - [SingleDirectDebitData](docs/SingleDirectDebitData.md)
 - [SingleMoneyTransferRecipientData](docs/SingleMoneyTransferRecipientData.md)
 - [SplitTransactionsParams](docs/SplitTransactionsParams.md)
 - [SubTransactionParams](docs/SubTransactionParams.md)
 - [TrainCategorizationData](docs/TrainCategorizationData.md)
 - [TrainCategorizationTransactionData](docs/TrainCategorizationTransactionData.md)
 - [Transaction](docs/Transaction.md)
 - [TransactionList](docs/TransactionList.md)
 - [TriggerCategorizationParams](docs/TriggerCategorizationParams.md)
 - [TwoStepProcedure](docs/TwoStepProcedure.md)
 - [UpdateBankConnectionParams](docs/UpdateBankConnectionParams.md)
 - [UpdateMultipleTransactionsParams](docs/UpdateMultipleTransactionsParams.md)
 - [UpdateResult](docs/UpdateResult.md)
 - [UpdateTransactionsParams](docs/UpdateTransactionsParams.md)
 - [User](docs/User.md)
 - [UserCreateParams](docs/UserCreateParams.md)
 - [UserIdentifiersList](docs/UserIdentifiersList.md)
 - [UserIdentifiersParams](docs/UserIdentifiersParams.md)
 - [UserInfo](docs/UserInfo.md)
 - [UserUpdateParams](docs/UserUpdateParams.md)
 - [VerificationStatusResource](docs/VerificationStatusResource.md)
 - [WebForm](docs/WebForm.md)

## Documentation For Authorization


## finapi_auth

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: /oauth/authorize
- **Scopes**:
 - ****:


## Author
